curl -X POST "https://api.services.payward.com/v1/accounts/W4BE9868GY65TB6523/funds/deposits/addresses" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN" \
-H "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000" \
-H "Content-Type: application/json" \
-d '{
"method_id": "550e8400-e29b-41d4-a716-446655440000",
"asset_symbol": "BTC",
"asset_type": "crypto"
}'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/addresses"
payload = {
"method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_symbol": "BTC",
"asset_type": "crypto"
}
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Nonce': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
asset_symbol: 'BTC',
asset_type: 'crypto'
})
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"name": "Bitcoin",
"tag": null,
"memo": null,
"expire_time": null,
"is_new": true
}
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Create Deposit Address
Create a new deposit address for a given asset and method.
curl -X POST "https://api.services.payward.com/v1/accounts/W4BE9868GY65TB6523/funds/deposits/addresses" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN" \
-H "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000" \
-H "Content-Type: application/json" \
-d '{
"method_id": "550e8400-e29b-41d4-a716-446655440000",
"asset_symbol": "BTC",
"asset_type": "crypto"
}'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/addresses"
payload = {
"method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_symbol": "BTC",
"asset_type": "crypto"
}
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Nonce': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
asset_symbol: 'BTC',
asset_type: 'crypto'
})
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"name": "Bitcoin",
"tag": null,
"memo": null,
"expire_time": null,
"is_new": true
}
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Authorizations
Your public API key. Identifies the partner making the request.
Monotonically increasing nonce included in the request signature.
HMAC signature over the request, computed with your private key.
Headers
Client-generated UUIDv4 for safe retries. Sent as the Idempotency-Key HTTP header. Replayed responses include the Idempotent-Replayed: true header.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
ID of the account the request applies to. This refers to one of the accounts held by the user the request is acting on behalf of (typically the user's main account, but any of the user's accounts is accepted). Routes the request to that specific account container. Canonical identifier for an account in the Payward public API.
14 - 42Body
The deposit method identifier (UUID from the list methods response)
Ticker symbol of the asset to create a deposit address for (e.g. BTC, ETH).
3 - 16"BTC"
Classification of the asset. Pair with asset_symbol to disambiguate when the same ticker exists across asset classes. Defaults to crypto.
fiat, crypto, stablecoin, xstock Response
Response
Show child attributes
Show child attributes